<?xml version="1.0" encoding="UTF-8"?>
<ValidationRule xmlns="http://soap.sforce.com/2006/04/metadata">
    <fullName>DNIS_Required_with_Phone_Formatting</fullName>
    <active>false</active>
    <description>The DNIS is required prior to saving the record and must be 10 digits only.</description>
    <errorConditionFormula>AND(
	OR(
		NOT(REGEX(Phone, &quot;\\D*?(\\d\\D*?){10}&quot;)),
		ISBLANK(DNIS__c)
	),
	$Profile.Id=&quot;00e60000000uzhq&quot;,
	ISPICKVAL(LeadSource,&quot;Direct Call&quot;),
	ISBLANK(CreatedDate)
)</errorConditionFormula>
    <errorDisplayField>DNIS__c</errorDisplayField>
    <errorMessage>[LEAD 009] The DNIS is required prior to saving the record and must be 10 digits only.</errorMessage>
</ValidationRule>
